Listar las transacciones del préstamo activo
curl --request GET \
--url https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"allocationLines": [
{
"dueDate": "<string>",
"feesAmount": "<string>",
"fullyPaid": true,
"installmentNumber": 123,
"interestAmount": "<string>",
"penaltiesAmount": "<string>",
"principalAmount": "<string>",
"totalAmount": "<string>"
}
],
"createdAt": "<string>",
"effectiveDate": "<string>",
"overpaymentAmount": "<string>",
"paidAmount": "<string>",
"transactionId": "<string>",
"transactionType": "<string>",
"originalTransactionId": "<string>",
"requestId": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Listar las transacciones del préstamo activo
Devuelve las transacciones de reembolso registradas de una cuenta de préstamo activa. Un UUID mal formado produce 422, distinto de 404.
GET
/
api
/
v1
/
loan-accounts
/
{id}
/
transactions
Listar las transacciones del préstamo activo
Autorizaciones
JWT bearer token issued by the identity provider.
Parámetros de ruta
Loan account identifier (UUID).
Ejemplo:
"550e8400-e29b-41d4-a716-446655440000"
Respuesta
OK
Recorded repayment transactions.
Show child attributes
Show child attributes
¿Esta página le ayudó?
Obtener el cronograma del préstamo activo
Anterior
Revertir la transacción de la cuenta de préstamo
Siguiente
⌘I

